public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ruamel-yaml/
Date: Fri, 20 Oct 2023 04:42:16 +0000 (UTC)	[thread overview]
Message-ID: <1697776904.073a0de81e76099e3a5ab33f9d031cb240e73125.mgorny@gentoo> (raw)

commit:     073a0de81e76099e3a5ab33f9d031cb240e73125
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 20 04:26:20 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 20 04:41:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=073a0de8

dev-python/ruamel-yaml: Bump to 0.17.39

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ruamel-yaml/Manifest                   |  1 +
 dev-python/ruamel-yaml/ruamel-yaml-0.17.39.ebuild | 58 +++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index 60fcbf912004..f56105d44f40 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -3,3 +3,4 @@ DIST ruamel.yaml-0.17.33.tar.xz 190420 BLAKE2B 93a91f1ad6e17bf0a4f6d90e782786aaf
 DIST ruamel.yaml-0.17.34.tar.xz 190824 BLAKE2B e396b59f94a18e77e7bd3d42cc8f934b8b2c8adbd1292861dde18136bc6aa585e4ba90db0b4631f15737c9c2d8fc49ca8fd2d12bc7b5a96e6a2672db7c87ba0f SHA512 7b5098b3e3aa6aa38158626a139fe98e1c90d37870a81ade50b0dd446a5b772623a7759ff0dccee2a1346ed442bcaabe4be34af9f5760b4bfb91cce46673b5c1
 DIST ruamel.yaml-0.17.35.tar.xz 191432 BLAKE2B 7fe4a44aeebe4e82202277139056f4046c6c7636b75c77202fd3bd4d71b3276890bd4ea30997c3acc634f0a8f7e482f4c81145749e1e37ac59ad53421aaa518a SHA512 4f5218b8ad9172a925e29e0b46d055b6b6dc57b9685a31e7e4147d1f7bcc908c73a05a350fd6d85016ea4d8bde13705e5f8d5866aa9087a34e3f648ff0460311
 DIST ruamel.yaml-0.17.36.tar.xz 193148 BLAKE2B 20c7389b29a34a917049c1ef1081ac7d349608435b2bdea03a390a6db979feefe1a1926db73bdee4cff100c605fa594c65ee23c64a0db45ce8230745d10945da SHA512 dce0cefec0b89cfb48d2124e2f18d4dbd9d67cca1af2cb556c308548f25dba932b129e62d3b5b666bfbed52838e0e16e3e4ae549689155b6314667d565b7bae2
+DIST ruamel.yaml-0.17.39.tar.xz 192916 BLAKE2B 23553af89c3083837a54805097c2c59eb2bff96e200acd12fcc646bf346eab20d87f58e6c9553598615a750d408dc855886fe4251ba128e3325cecb953f18275 SHA512 ee534cff9a6b72b617faf3fb4044bff0ae2d3c29508ef8df948774db45d39c8f80362f7ed8c8091319718a221b9d462838d521d97603d9cb18c38a008ebec8e5

diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.39.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.39.ebuild
new file mode 100644
index 000000000000..128dbc52c0bb
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.39.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+	https://pypi.org/project/ruamel.yaml/
+	https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+	!dev-python/namespace-ruamel
+"
+BDEPEND="
+	test? (
+		dev-python/ruamel-std-pathlib[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	local EPYTEST_DESELECT=()
+	[[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+		_test/test_deprecation.py::test_collections_deprecation
+	)
+	local EPYTEST_IGNORE=(
+		# Old PyYAML tests from lib/ require special set-up and are
+		# invoked indirectly via test_z_olddata, tell pytest itself
+		# to leave the subdir alone.
+		_test/lib/
+	)
+
+	# this is needed to keep the tests working while
+	# dev-python/namespace-ruamel is still installed
+	distutils_write_namespace ruamel
+	epytest
+}


             reply	other threads:[~2023-10-20  4:42 UTC|newest]

Thread overview: 137+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-20  4:42 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-06  6:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/ruamel-yaml/ Michał Górny
2025-01-03  5:47 Michał Górny
2025-01-03  5:47 Michał Górny
2024-12-31  8:07 Michał Górny
2024-05-18 13:57 Michał Górny
2024-02-24 10:22 Michał Górny
2024-02-24 10:14 Michał Górny
2024-02-08  4:22 Michał Górny
2023-12-18 18:47 Michał Górny
2023-12-08 14:24 Arthur Zamarin
2023-11-30 21:43 James Le Cuirot
2023-11-29 10:20 Michał Górny
2023-11-29 10:17 Michał Górny
2023-11-03 18:35 Michał Górny
2023-11-02 14:28 Michał Górny
2023-11-02  5:44 Michał Górny
2023-11-01 20:37 Arthur Zamarin
2023-10-30 18:10 Michał Górny
2023-10-25  7:43 Michał Górny
2023-10-24  5:27 Michał Górny
2023-10-21  3:40 Michał Górny
2023-10-19 12:16 Michał Górny
2023-10-04 17:43 Michał Górny
2023-10-04  5:18 Michał Górny
2023-09-28 17:08 Michał Górny
2023-09-01 19:26 Arthur Zamarin
2023-07-05  8:03 Michał Górny
2023-07-05  5:56 Arthur Zamarin
2023-06-18  2:16 Michał Górny
2023-06-03 19:17 Michał Górny
2023-06-03 18:06 Arthur Zamarin
2023-06-01  4:07 Michał Górny
2023-05-31  6:33 Michał Górny
2023-05-26 17:44 Michał Górny
2023-05-26 17:44 Michał Górny
2023-05-10  3:00 Michał Górny
2023-05-06 16:44 Arthur Zamarin
2023-05-06  4:37 Michał Górny
2023-05-03  7:51 Michał Górny
2022-06-01  6:34 Sam James
2022-04-20 17:24 Michał Górny
2022-04-20 17:24 Michał Górny
2022-04-20 14:12 Jakov Smolić
2022-04-13 14:46 Sam James
2022-04-11 19:58 Michał Górny
2022-04-10  8:58 Michał Górny
2022-03-16  8:00 Michał Górny
2022-03-16  8:00 Michał Górny
2022-03-15 17:56 Jakov Smolić
2022-02-12 20:24 Michał Górny
2022-02-03 21:34 Michał Górny
2022-02-03 20:56 Arthur Zamarin
2022-01-26 20:18 Michał Górny
2022-01-26 19:57 Arthur Zamarin
2022-01-03 17:49 Arthur Zamarin
2021-12-26 18:54 Arthur Zamarin
2021-12-24 22:52 Michał Górny
2021-12-02  9:39 Michał Górny
2021-12-02  8:40 Arthur Zamarin
2021-11-01  8:32 Michał Górny
2021-10-03 19:27 Michał Górny
2021-10-03 18:49 Sam James
2021-09-15 15:14 Marek Szuba
2021-09-15 15:14 Marek Szuba
2021-08-29  6:57 Michał Górny
2021-08-26  7:09 Michał Górny
2021-08-22  8:01 Michał Górny
2021-08-19 22:13 Michał Górny
2021-08-01  8:17 Michał Górny
2021-07-31 22:23 Sam James
2021-07-03  1:28 Sam James
2021-06-24 18:44 Michał Górny
2021-06-22 13:10 Marek Szuba
2021-06-10 23:13 Michał Górny
2021-06-09 20:54 Michał Górny
2021-05-31 19:11 Michał Górny
2021-05-30 20:47 Michał Górny
2021-05-13 19:11 Marek Szuba
2021-05-13 18:58 Sam James
2021-04-27 11:05 Marek Szuba
2021-04-16  8:30 Michał Górny
2021-04-16  0:40 Sam James
2021-04-12 15:55 Sam James
2021-04-12 15:55 Sam James
2021-04-12 15:55 Sam James
2021-04-12 15:55 Sam James
2021-04-12 15:52 Sam James
2021-04-12 15:50 Sam James
2021-04-07 23:11 Michał Górny
2021-03-30  8:17 Michał Górny
2021-03-26 12:08 Michał Górny
2021-03-26 12:08 Michał Górny
2021-03-11 14:23 Marek Szuba
2021-03-11 13:45 Marek Szuba
2021-03-11 10:53 Marek Szuba
2021-03-11 10:26 Marek Szuba
2021-03-05 21:50 Michał Górny
2021-01-12 12:04 Sam James
2021-01-07 12:47 Sam James
2020-11-23 16:39 Sergei Trofimovich
2020-11-04 10:42 Sergei Trofimovich
2020-11-02 10:34 Michał Górny
2020-10-28  6:49 Andrey Utkin
2020-10-25 19:46 Thomas Deutschmann
2020-10-20  5:06 Sam James
2020-10-19 20:13 Sam James
2020-09-30 12:21 Marek Szuba
2020-09-28 17:41 Sergei Trofimovich
2020-09-13  9:19 Sam James
2020-09-05 19:44 Marek Szuba
2020-09-05  6:07 Michał Górny
2020-09-04  3:30 Michał Górny
2020-08-31  4:52 Sam James
2020-08-30 21:24 Andrey Utkin
2020-08-10 19:25 Sergei Trofimovich
2020-08-09 16:56 Sergei Trofimovich
2020-07-17 20:10 Marek Szuba
2020-06-21  6:23 Michał Górny
2020-06-06 19:31 Mart Raudsepp
2020-05-21  8:06 Agostino Sarubbo
2020-05-19 15:47 Marek Szuba
2020-05-19 15:47 Marek Szuba
2020-05-16  7:09 Joonas Niilola
2020-04-28 13:58 Marek Szuba
2020-04-28 13:58 Marek Szuba
2020-03-29  7:31 Michał Górny
2019-06-24  8:29 Andrey Utkin
2019-06-24  8:29 Andrey Utkin
2019-06-24  8:29 Andrey Utkin
2019-06-24  8:29 Andrey Utkin
2019-06-24  8:29 Andrey Utkin
2019-05-29 14:30 Andrey Utkin
2019-01-31  9:17 Tim Harder
2018-06-09 14:22 Mart Raudsepp
2018-03-30 18:35 Aaron Bauman
2018-02-07 12:18 Andrey Utkin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1697776904.073a0de81e76099e3a5ab33f9d031cb240e73125.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox